package com.engine.organization.mapper.resource;

import com.engine.organization.entity.hrmresource.po.JclOrgCustomTemplatePO;
import org.apache.ibatis.annotations.Param;

import java.util.Collection;
import java.util.List;

/**
* @author Mlin
* @description 针对表【jcl_org_custom_template】的数据库操作Mapper
* @createDate 2023-01-12 10:28:52
* @Entity com.engine.organization.entity.hrmresource.po.JclOrgCustomTemplate
*/
public interface JclOrgCustomTemplateMapper {

    int deleteByPrimaryKey(Long id);

    int insert(JclOrgCustomTemplatePO record);

    int insertSelective(JclOrgCustomTemplatePO record);

    JclOrgCustomTemplatePO selectByPrimaryKey(Long id);

    int updateByPrimaryKeySelective(JclOrgCustomTemplatePO record);

    int updateByPrimaryKey(JclOrgCustomTemplatePO record);

    List<JclOrgCustomTemplatePO> listAll();

    List<Long> listAllId();

    int deleteByIds(@Param("ids") Collection<Long> ids);

}
